MSWTextInternal::State Struct Reference

Internal: the state of a MSWParser. More...

## Public Member Functions

| State ()
| constructor More...
long | getTotalTextSize () const
| returns the total text size More...
int | getTextStructId (long textPos) const
| returns the id of textpos corresponding to a cPos or -1 More...
long | getFilePos (long textPos) const
| returns the file position corresponding to a text entry More...

## Public Attributes

int | m_version
| the file version More...
long | m_bot
| the default text begin More...
long | m_textLength [3]
| the text length (main, footnote, header+footer) More...
std::vector< MWAWEntry > | m_headerFooterZones
| the header/footer zones More...
std::vector< TextStruct > | m_textposList
| the text positions More...
std::multimap< long, MSWText::PLC > | m_plcMap
| the text correspondance zone ( textpos, plc ) More...
std::multimap< long, MSWText::PLC > | m_filePlcMap
| the file correspondance zone ( filepos, plc ) More...
std::vector< Line > | m_lineList
| the list of lines More...
std::map< long, int > | m_paragraphLimitMap
| the paragraph limit -> textposition (or -1) More...
std::vector< long > | m_sectionLimitList
| the section cPos limit More...
std::map< long, MSWStruct::Font > | m_fontMap
| the final correspondance font zone ( textpos, font) More...
std::map< long, MSWStruct::Paragraph > | m_paragraphMap
| the final correspondance paragraph zone ( textpos, paragraph) More...
std::map< long, Property > | m_propertyMap
| the position where we have new data ( textpos -> [ we have done debug printing ]) More...
std::map< long, Table > | m_tableMap
| the final correspondance table zone ( textpos, font) More...
std::vector < MSWStruct::ParagraphInfo > | m_paraInfoList
| the list of paragraph info modifier More...
std::vector< Page > | m_pageList
| the list of pages More...
std::vector< Field > | m_fieldList
| the list of fields More...
std::vector< Footnote > | m_footnoteList
| the list of footnotes More...
int | m_actPage
| the actual page More...
int | m_numPages
| the number of page of the final document More...

## Detailed Description

Internal: the state of a MSWParser.

## Constructor & Destructor Documentation

MSWTextInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

long MSWTextInternal::State::getFilePos | ( | long | textPos | ) | const

inline

returns the file position corresponding to a text entry

int MSWTextInternal::State::getTextStructId | ( | long | textPos | ) | const

inline

returns the id of textpos corresponding to a cPos or -1

Referenced by getFilePos().

long MSWTextInternal::State::getTotalTextSize | ( |  | ) | const

inline

returns the total text size

## Member Data Documentation

int MSWTextInternal::State::m_actPage

the actual page

long MSWTextInternal::State::m_bot

the default text begin

Referenced by getFilePos().

std::vector<Field> MSWTextInternal::State::m_fieldList

the list of fields

std::multimap<long, MSWText::PLC> MSWTextInternal::State::m_filePlcMap

the file correspondance zone ( filepos, plc )

std::map<long, MSWStruct::Font> MSWTextInternal::State::m_fontMap

the final correspondance font zone ( textpos, font)

std::vector<Footnote> MSWTextInternal::State::m_footnoteList

the list of footnotes

std::vector<MWAWEntry> MSWTextInternal::State::m_headerFooterZones

the header/footer zones

std::vector<Line> MSWTextInternal::State::m_lineList

the list of lines

int MSWTextInternal::State::m_numPages

the number of page of the final document

std::vector<Page> MSWTextInternal::State::m_pageList

the list of pages

std::map<long, int> MSWTextInternal::State::m_paragraphLimitMap

the paragraph limit -> textposition (or -1)

std::map<long, MSWStruct::Paragraph> MSWTextInternal::State::m_paragraphMap

the final correspondance paragraph zone ( textpos, paragraph)

std::vector<MSWStruct::ParagraphInfo> MSWTextInternal::State::m_paraInfoList

the list of paragraph info modifier

std::multimap<long, MSWText::PLC> MSWTextInternal::State::m_plcMap

the text correspondance zone ( textpos, plc )

std::map<long, Property> MSWTextInternal::State::m_propertyMap

the position where we have new data ( textpos -> [ we have done debug printing ])

std::vector<long> MSWTextInternal::State::m_sectionLimitList

the section cPos limit

std::map<long, Table> MSWTextInternal::State::m_tableMap

the final correspondance table zone ( textpos, font)

long MSWTextInternal::State::m_textLength[3]

the text length (main, footnote, header+footer)

Referenced by getTotalTextSize(), and State().

std::vector<TextStruct> MSWTextInternal::State::m_textposList

the text positions

Referenced by getFilePos(), and getTextStructId().

int MSWTextInternal::State::m_version

the file version

The documentation for this struct was generated from the following file:

- MSWText.cxx